# Class: PropertyValidationSemantics

## PropertyValidationSemantics

#### new PropertyValidationSemantics()

Source:
  - core/meta/validation-semantics.js, line 9

### Extends

- Semantics

### Members

#### blueprint

Deprecated:
  - Component description attached to this validation rule.
Source:
  - core/meta/validation-semantics.js, line 95

#### objectDescriptor

Component description attached to this validation rule.

Source:
  - core/meta/validation-semantics.js, line 35

### Methods

#### compile(selector)

Compile the syntax tree into a function that can be used for evaluating this selector.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | Selector | syntax

Source:
  - core/meta/validation-semantics.js, line 48

##### Returns:

function

#### initWithBlueprint(objectDescriptor)

##### Parameters:

Name | Type | Description
--- | --- | ---
`objectDescriptor` | ObjectDescriptor |

Deprecated:
  - Create a new semantic evaluator with the object descriptor.
Source:
  - core/meta/validation-semantics.js, line 85

##### Returns:

itself

#### initWithObjectDescriptor(objectDescriptor)

Create a new semantic evaluator with the object descriptor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`objectDescriptor` | ObjectDescriptor |

Source:
  - core/meta/validation-semantics.js, line 21

##### Returns:

itself